//
//  ApplicationController.h
//  smoke
//
//  Created by CBreak on Sat May 07 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Sc21/Sc21.h>

#include "../physic/world.h"

@interface ApplicationController : NSObject
{
	// Outlets
	IBOutlet SCController * coinController;
	
	// C++ Bindings
	World * myWorld;
}

-(IBAction)toggleAnimation:(id)sender;
-(IBAction)resetParticles:(id)sender;

// Forces
-(IBAction)resetForces:(id)sender;
-(IBAction)addTForce:(id)sender;
-(IBAction)addGForce:(id)sender;

// Physik
-(IBAction)toggleInteraction:(id)sender;

// Emitter
-(IBAction)rateChange:(id)sender;
@end
