//
//  ApplicationController.mm
//  smoke
//
//  Created by CBreak on Sat May 07 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import "ApplicationController.h"
#import <Sc21/Sc21.h>
#import <Sc21/SCDebug.h>
#import <Inventor/SoInput.h>
#import <Inventor/nodes/SoSeparator.h>
#import <Inventor/nodes/SoDirectionalLight.h>
#import <Inventor/SoSceneManager.h>


@implementation ApplicationController

- (id)init
{
	self = [super init];
	return self; 
}

- (void)awakeFromNib
{
	myWorld = new World();
    [[coinController sceneGraph] setRoot:(myWorld->getRoot())];
    // [[coinController sceneGraph] viewAll];
	// [[coinController sceneGraph] readFromFile:[[NSBundle mainBundle] pathForResource:@"scene" ofType:@"iv"]];
}


- (void)applicationDidFinishLaunching:notification
{
}

-(IBAction) toggleAnimation:(id)sender
{
	myWorld->toggle();
}

-(IBAction)resetParticles:(id)sender
{
	myWorld->resetParticles();
}

-(IBAction)resetForces:(id)sender
{
	myWorld->resetForces();
}

-(IBAction)addTForce:(id)sender
{
	myWorld->addTForce();
}

-(IBAction)addGForce:(id)sender
{
	myWorld->addGForce();
}

// Physik
-(IBAction)toggleInteraction:(id)sender
{
	myWorld->toggleInteraction();
}

// Emitter
-(IBAction)rateChange:(id)sender
{
	myWorld->setEmissionRate([sender floatValue]);
}
@end
