// Mac OS X implementation of Platform Abstractions

#include <iostream>
#include <time.h>
#include "platform.h"

using namespace std;

const char * getPathForItem(PPItem anItem)
{
	switch(anItem)
	{
		case PPParticleTexture:
			return [[[NSBundle mainBundle] pathForResource:@"particle" ofType:@"tiff"] cString];
		default:
			// Error
			exit(1);
	}
}

float getCurrentTime()
{
	struct timeval now;
	gettimeofday(&now, 0);
	// Use one byte as second precision
	return (now.tv_sec&0xffff)+(float)now.tv_usec/1000000;
}
