/*
 *  forcefield.h
 *  smoke
 *
 *  Created by CBreak on Wed May 11 2005.
 *  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef _Smoke_forcefield_h_
#define _Smoke_forcefield_h_

#include "virtualforcefield.h"

// Gravity and stuff
class GForce : public VirtualForcefield
{
	float g; // -9.80668 on earth
public:
	// Init the Force
	GForce();
	GForce(float acceleration);
	// Use the Force
	vec3f getForceAtPoint(float x, float y, float z) const;
};

// TURBO TORNADO TWISTER TIME!
class TForce : public VirtualForcefield
{
	float a; // acceleration
	vec3f n; // normal
public:
	// Init the Force
	TForce();
	TForce(float acceleration);
	TForce(float acceleration, vec3f normal);
	// Use the Force
	vec3f getForceAtPoint(float x, float y, float z) const;
};

#endif
