/*
 *  virtualforcefield.h
 *  smoke
 *
 *  Created by CBreak on Wed May 11 2005.
 *  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef _Smoke_virtualforcefield_h_
#define _Smoke_virtualforcefield_h_

#include "types.h"

class VirtualForcefield
{
	VirtualForcefield * nextField;
public:
	// Init the Force
	VirtualForcefield();
	virtual ~VirtualForcefield();
	// Use the Force
	virtual vec3f getForceAtPoint(vec3f p) const;
	virtual vec3f getForceAtPoint(float x, float y, float z) const;
	vec3f getNextForceAtPoint(float x, float y, float z) const;
	// Manage the force
	virtual void update(float t);
	void attachField(VirtualForcefield * aField);
};

#endif
