/*
 *  dragEmitter.cpp
 *  smoke
 *
 *  Created by CBreak on Mon Jun 27 2005.
 *  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
 *
 */

#include "dragEmitter.h"
#include <Inventor/nodes/SoSeparator.h>

DragEmitter::DragEmitter(World * theWorld): Emitter(theWorld)
{
//	SoDragPointDragger::setMinScale(10);
	SoScale * aScale = new SoScale();
	aScale->scaleFactor.setValue(8,8,8);
	aDragger = new SoDragPointDragger();
	this->addChild(aScale);
	this->addChild(aDragger);
}

void DragEmitter::emitt(float t)
{
	const SbVec3f tmpVec = aDragger->translation.getValue();
	tmpVec.getValue(s.x, s.y, s.z);
	s.x *= 8;
	s.y *= 8;
	s.z *= 8;
	Emitter::emitt(t);
	
}
