/*
 *  emitter.h
 *  smoke
 *
 *  Created by CBreak on Wed May 18 2005.
 *  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef _Smoke_emitter_h_
#define _Smoke_emitter_h_

#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/nodes/SoCube.h>

#include "types.h"

class World;

class Emitter : public SoSeparator
{
protected:
	vec3f s; // Position
	
	float emissionRate; // In Particles/Second
	float idleTime;
	
	World * myWorld; // The place where particles get emitted to

public:
	// Creation
	Emitter();
	Emitter(World * theWorld);

	// Misc
	void setPos(vec3f p);
	virtual void emitt(float timeInterval);
	
	void setRate(float newEmissionRate);
};

#endif
